## org.eclipse.ocl.cst
Interface DefCS

All Superinterfaces:
  CSTNode, EObject, InvOrDefCS, Notifier

All Known Implementing Classes:
  DefCSImpl

    public interface DefCS

extends InvOrDefCS

A representation of the model object 'Def CS'.

The following features are supported:

- `Def Expression CS`

See Also:
  `CSTPackage.getDefCS()`

Method Summary
`DefExpressionCS` `getDefExpressionCS()` Returns the value of the 'Def Expression CS' containment reference
`void` `setDefExpressionCS(DefExpressionCS value)` Sets the value of the '`Def Expression CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.InvOrDefCS
`getInvOrDefCS, getSimpleNameCS, setInvOrDefCS, setSimpleNameCS`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDefExpressionCS

    DefExpressionCS getDefExpressionCS()

  Returns the value of the 'Def Expression CS' containment reference.

  If the meaning of the 'Def Expression CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Def Expression CS' containment reference.
  See Also:
    `setDefExpressionCS(DefExpressionCS)`, `CSTPackage.getDefCS_DefExpressionCS()`

### setDefExpressionCS

    void setDefExpressionCS(DefExpressionCS value)

  Sets the value of the '`Def Expression CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Def Expression CS' containment reference.
  See Also:
    `getDefExpressionCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.